Subject: bug#9087: Crash reading from minibuffer with icomplete-mode

From: Eli Zaretskii <[email-masked]>
Date: Fri, 06 Jan 2012 12:02:52 +0200

> From: [email-masked] (Claudio Bley)
> Date: Mon, 02 Jan 2012 17:16:46 +0100
> 
> On 1 Jan 2012, Eli Zaretskii wrote:
> 
> >> From: [email-masked] (Claudio Bley)
> >> Date: Sun, 01 Jan 2012 21:56:11 +0100
> >>
> >> I'm using ido-mode and this kind of crash is bugging me almost
> >> every single day when using the ido-find-file (C-x C-f) function.
> >
> > Is the recipe just start "emacs -Q", type "M-x ido-mode RET", and
> > then "C-x C-f SOME-FILE RET"?
> 
> No. It is the same race condition as with icomplete.
> 
> The recipe is quite similar to what Juanma did:
> 
> 1. emacs -Q
> 
> 2. (require 'ido)
>    (ido-mode t)
>    (setq ido-enable-flex-matching t
>          ido-max-directory-size 100000)
> 
> [I suppose the last options are not strictly necessary, but maybe it
>  helps triggering the bug more frequently]
> 
> 3. C-x C-f
> 
> 4. type some random characters until there are no possible completions
> of file names in the current directory (ido will start to
> search for completions in other dirs)
> 
> 5. as soon as the message "Searching for `whateveryoutyped`..."
> appears, hit <backspace>.
> 
> 6. go to step 4.

I cannot get it to display the "Searching for ..." message.  And I
cannot get it to crash.